com.sun.grid.jgdi.rmi

## Class JGDIRemoteCache

- java.lang.Object
- - com.sun.grid.jgdi.rmi.JGDIRemoteCacheBase
  - - com.sun.grid.jgdi.rmi.JGDIRemoteCache

- All Implemented Interfaces:
    JGDIRemote, JGDIRemoteBase, java.rmi.Remote

      public class JGDIRemoteCache
      extends JGDIRemoteCacheBase
      implements JGDIRemote

  This class implements a cache for the `JGDIRemote` interface.

- - ### Field Summary

    - ### Fields inherited from class com.sun.grid.jgdi.rmi.JGDIRemoteCacheBase

      `jgdi, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIRemoteCache()` Creates a new instance of JGDIRemoteCache
    `JGDIRemoteCache(JGDIRemote jgdi)` Create a new instanceof of JGDIRemoteCache

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdminHost(AdminHost obj)` Add a new `AdminHost` object.
    `void` | `addAdvanceReservation(AdvanceReservation obj)` Add a new `AdvanceReservation` object.
    `void` | `addCalendar(Calendar obj)` Add a new `Calendar` object.
    `void` | `addCheckpoint(Checkpoint obj)` Add a new `Checkpoint` object.
    `void` | `addClusterQueue(ClusterQueue obj)` Add a new `ClusterQueue` object.
    `void` | `addComplexEntry(ComplexEntry obj)` Add a new `ComplexEntry` object.
    `void` | `addConfiguration(Configuration obj)` Add a new `Configuration` object.
    `void` | `addExecHost(ExecHost obj)` Add a new `ExecHost` object.
    `void` | `addHostgroup(Hostgroup obj)` Add a new `Hostgroup` object.
    `void` | `addJob(Job obj)` Add a new `Job` object.
    `void` | `addManager(Manager obj)` Add a new `Manager` object.
    `void` | `addOperator(Operator obj)` Add a new `Operator` object.
    `void` | `addParallelEnvironment(ParallelEnvironment obj)` Add a new `ParallelEnvironment` object.
    `void` | `addProject(Project obj)` Add a new `Project` object.
    `void` | `addResourceQuotaSet(ResourceQuotaSet obj)` Add a new `ResourceQuotaSet` object.
    `void` | `addSubmitHost(SubmitHost obj)` Add a new `SubmitHost` object.
    `void` | `addUser(User obj)` Add a new `User` object.
    `void` | `addUserSet(UserSet obj)` Add a new `UserSet` object.
    `void` | `deleteAdminHost(AdminHost obj)` Add a delete `AdminHost` object.
    `void` | `deleteAdminHost(java.lang.String AH_name)` Delete a a `AdminHost` object by its primary key
    `void` | `deleteAdvanceReservation(AdvanceReservation obj)` Add a delete `AdvanceReservation` object.
    `void` | `deleteAdvanceReservation(int AR_id)` Delete a a `AdvanceReservation` object by its primary key
    `void` | `deleteCalendar(Calendar obj)` Add a delete `Calendar` object.
    `void` | `deleteCalendar(java.lang.String CAL_name)` Delete a a `Calendar` object by its primary key
    `void` | `deleteCheckpoint(Checkpoint obj)` Add a delete `Checkpoint` object.
    `void` | `deleteCheckpoint(java.lang.String CK_name)` Delete a a `Checkpoint` object by its primary key
    `void` | `deleteClusterQueue(ClusterQueue obj)` Add a delete `ClusterQueue` object.
    `void` | `deleteClusterQueue(java.lang.String CQ_name)` Delete a a `ClusterQueue` object by its primary key
    `void` | `deleteComplexEntry(ComplexEntry obj)` Add a delete `ComplexEntry` object.
    `void` | `deleteComplexEntry(java.lang.String CE_name)` Delete a a `ComplexEntry` object by its primary key
    `void` | `deleteConfiguration(Configuration obj)` Add a delete `Configuration` object.
    `void` | `deleteConfiguration(java.lang.String CONF_name)` Delete a a `Configuration` object by its primary key
    `void` | `deleteExecHost(ExecHost obj)` Add a delete `ExecHost` object.
    `void` | `deleteExecHost(java.lang.String EH_name)` Delete a a `ExecHost` object by its primary key
    `void` | `deleteHostgroup(Hostgroup obj)` Add a delete `Hostgroup` object.
    `void` | `deleteHostgroup(java.lang.String HGRP_name)` Delete a a `Hostgroup` object by its primary key
    `void` | `deleteJob(int JB_job_number)` Delete a a `Job` object by its primary key
    `void` | `deleteJob(Job obj)` Add a delete `Job` object.
    `void` | `deleteManager(Manager obj)` Add a delete `Manager` object.
    `void` | `deleteManager(java.lang.String UM_name)` Delete a a `Manager` object by its primary key
    `void` | `deleteOperator(Operator obj)` Add a delete `Operator` object.
    `void` | `deleteOperator(java.lang.String UO_name)` Delete a a `Operator` object by its primary key
    `void` | `deleteParallelEnvironment(ParallelEnvironment obj)` Add a delete `ParallelEnvironment` object.
    `void` | `deleteParallelEnvironment(java.lang.String PE_name)` Delete a a `ParallelEnvironment` object by its primary key
    `void` | `deleteProject(Project obj)` Add a delete `Project` object.
    `void` | `deleteProject(java.lang.String PR_name)` Delete a a `Project` object by its primary key
    `void` | `deleteResourceQuotaSet(ResourceQuotaSet obj)` Add a delete `ResourceQuotaSet` object.
    `void` | `deleteResourceQuotaSet(java.lang.String RQS_name)` Delete a a `ResourceQuotaSet` object by its primary key
    `void` | `deleteSubmitHost(java.lang.String SH_name)` Delete a a `SubmitHost` object by its primary key
    `void` | `deleteSubmitHost(SubmitHost obj)` Add a delete `SubmitHost` object.
    `void` | `deleteUser(java.lang.String UU_name)` Delete a a `User` object by its primary key
    `void` | `deleteUser(User obj)` Add a delete `User` object.
    `void` | `deleteUserSet(java.lang.String US_name)` Delete a a `UserSet` object by its primary key
    `void` | `deleteUserSet(UserSet obj)` Add a delete `UserSet` object.
    `java.util.List` | `getAdminHostList()` Get all `AdminHost` objects.
    `AdvanceReservation` | `getAdvanceReservation(int AR_id)` Get a a `AdvanceReservation` object by its primary key
    `java.util.List` | `getAdvanceReservationList()` Get all `AdvanceReservation` objects.
    `Calendar` | `getCalendar(java.lang.String CAL_name)` Get a a `Calendar` object by its primary key
    `java.util.List` | `getCalendarList()` Get all `Calendar` objects.
    `Checkpoint` | `getCheckpoint(java.lang.String CK_name)` Get a a `Checkpoint` object by its primary key
    `java.util.List` | `getCheckpointList()` Get all `Checkpoint` objects.
    `ClusterQueue` | `getClusterQueue(java.lang.String CQ_name)` Get a a `ClusterQueue` object by its primary key
    `java.util.List` | `getClusterQueueList()` Get all `ClusterQueue` objects.
    `ComplexEntry` | `getComplexEntry(java.lang.String CE_name)` Get a a `ComplexEntry` object by its primary key
    `java.util.List` | `getComplexEntryList()` Get all `ComplexEntry` objects.
    `Configuration` | `getConfiguration(java.lang.String CONF_name)` Get a a `Configuration` object by its primary key
    `java.util.List` | `getConfigurationList()` Get all `Configuration` objects.
    `java.util.List` | `getEventClientList()` Get all `EventClient` objects.
    `ExecHost` | `getExecHost(java.lang.String EH_name)` Get a a `ExecHost` object by its primary key
    `java.util.List` | `getExecHostList()` Get all `ExecHost` objects.
    `Hostgroup` | `getHostgroup(java.lang.String HGRP_name)` Get a a `Hostgroup` object by its primary key
    `java.util.List` | `getHostgroupList()` Get all `Hostgroup` objects.
    `Job` | `getJob(int JB_job_number)` Get a a `Job` object by its primary key
    `java.util.List` | `getJobList()` Get all `Job` objects.
    `JobSchedulingInfo` | `getJobSchedulingInfo()` Get the `JobSchedulingInfo` object.
    `Manager` | `getManager(java.lang.String UM_name)` Get a a `Manager` object by its primary key
    `java.util.List` | `getManagerList()` Get all `Manager` objects.
    `Operator` | `getOperator(java.lang.String UO_name)` Get a a `Operator` object by its primary key
    `java.util.List` | `getOperatorList()` Get all `Operator` objects.
    `ParallelEnvironment` | `getParallelEnvironment(java.lang.String PE_name)` Get a a `ParallelEnvironment` object by its primary key
    `java.util.List` | `getParallelEnvironmentList()` Get all `ParallelEnvironment` objects.
    `Project` | `getProject(java.lang.String PR_name)` Get a a `Project` object by its primary key
    `java.util.List` | `getProjectList()` Get all `Project` objects.
    `ResourceQuotaSet` | `getResourceQuotaSet(java.lang.String RQS_name)` Get a a `ResourceQuotaSet` object by its primary key
    `java.util.List` | `getResourceQuotaSetList()` Get all `ResourceQuotaSet` objects.
    `SchedConf` | `getSchedConf()` Get the `SchedConf` object.
    `ShareTree` | `getShareTree(java.lang.String STN_name)` Get a a `ShareTree` object by its primary key
    `java.util.List` | `getSubmitHostList()` Get all `SubmitHost` objects.
    `User` | `getUser(java.lang.String UU_name)` Get a a `User` object by its primary key
    `java.util.List` | `getUserList()` Get all `User` objects.
    `UserSet` | `getUserSet(java.lang.String US_name)` Get a a `UserSet` object by its primary key
    `java.util.List` | `getUserSetList()` Get all `UserSet` objects.
    `void` | `updateCalendar(Calendar obj)` Update a Calendar object
    `void` | `updateCheckpoint(Checkpoint obj)` Update a Checkpoint object
    `void` | `updateClusterQueue(ClusterQueue obj)` Update a ClusterQueue object
    `void` | `updateComplexEntry(ComplexEntry obj)` Update a ComplexEntry object
    `void` | `updateConfiguration(Configuration obj)` Update a Configuration object
    `void` | `updateExecHost(ExecHost obj)` Update a ExecHost object
    `void` | `updateHostgroup(Hostgroup obj)` Update a Hostgroup object
    `void` | `updateJob(Job obj)` Update a Job object
    `void` | `updateParallelEnvironment(ParallelEnvironment obj)` Update a ParallelEnvironment object
    `void` | `updateProject(Project obj)` Update a Project object
    `void` | `updateResourceQuotaSet(ResourceQuotaSet obj)` Update a ResourceQuotaSet object
    `void` | `updateSchedConf(SchedConf obj)` Update the SchedConf object
    `void` | `updateShareTree(ShareTree obj)` Update a ShareTree object
    `void` | `updateUser(User obj)` Update a User object
    `void` | `updateUserSet(UserSet obj)` Update a UserSet object

    - ### Methods inherited from class com.sun.grid.jgdi.rmi.JGDIRemoteCacheBase

      `addJGDIRemoteCacheListener, cleanQueues, clearError, clearJobs, clearQueues, clearShareTreeUsage, close, disableQueues, enableQueues, execQHost, getActQMaster, getAdminUser, getClusterQueueSummary, getJGDI, getQQuota, getQueueInstanceSummary, getRealExecHostList, getSchedulerHost, getSGECell, getSGERoot, handleError, killAllEventClients, killAllExecds, killEventClients, killExecd, killMaster, killScheduler, removeJGDIRemoteCacheListener, rescheduleJobs, rescheduleQueues, setJGDI, suspendJobs, suspendQueues, triggerSchedulerMonitoring, unsuspendJobs, unsuspendQueues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.rmi.JGDIRemoteBase

      `cleanQueues, clearJobs, clearQueues, clearShareTreeUsage, close, disableQueues, enableQueues, execQHost, getActQMaster, getAdminUser, getClusterQueueSummary, getQQuota, getQueueInstanceSummary, getRealExecHostList, getSchedulerHost, getSGECell, getSGERoot, killAllEventClients, killAllExecds, killEventClients, killExecd, killMaster, killScheduler, rescheduleJobs, rescheduleQueues, suspendJobs, suspendQueues, triggerSchedulerMonitoring, unsuspendJobs, unsuspendQueues`

- - ### Constructor Detail

    - #### JGDIRemoteCache

          public JGDIRemoteCache()

      Creates a new instance of JGDIRemoteCache

    - #### JGDIRemoteCache

          public JGDIRemoteCache(JGDIRemote jgdi)

      Create a new instanceof of JGDIRemoteCache
      Parameters:
        `jgdi` - the jgdi remote service

  - ### Method Detail

    - #### deleteSubmitHost

          public void deleteSubmitHost(SubmitHost obj)
                                throws java.rmi.RemoteException

      Add a delete `SubmitHost` object.
      Specified by:
        `deleteSubmitHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the `SubmitHost` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteSubmitHost

          public void deleteSubmitHost(java.lang.String SH_name)
                                throws java.rmi.RemoteException

      Delete a a `SubmitHost` object by its primary key
      Specified by:
        `deleteSubmitHost` in interface `JGDIRemote`
      Parameters:
        `SH_name` - the SH_name of the `SubmitHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addSubmitHost

          public void addSubmitHost(SubmitHost obj)
                             throws java.rmi.RemoteException

      Add a new `SubmitHost` object.
      Specified by:
        `addSubmitHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `SubmitHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getSubmitHostList

          public java.util.List getSubmitHostList()
                                           throws java.rmi.RemoteException

      Get all `SubmitHost` objects.
      Specified by:
        `getSubmitHostList` in interface `JGDIRemote`
      Returns:
        a list of `SubmitHost` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateHostgroup

          public void updateHostgroup(Hostgroup obj)
                               throws java.rmi.RemoteException

      Update a Hostgroup object
      Specified by:
        `updateHostgroup` in interface `JGDIRemote`
      Parameters:
        `obj` - the Hostgroup object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteHostgroup

          public void deleteHostgroup(Hostgroup obj)
                               throws java.rmi.RemoteException

      Add a delete `Hostgroup` object.
      Specified by:
        `deleteHostgroup` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Hostgroup` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteHostgroup

          public void deleteHostgroup(java.lang.String HGRP_name)
                               throws java.rmi.RemoteException

      Delete a a `Hostgroup` object by its primary key
      Specified by:
        `deleteHostgroup` in interface `JGDIRemote`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addHostgroup

          public void addHostgroup(Hostgroup obj)
                            throws java.rmi.RemoteException

      Add a new `Hostgroup` object.
      Specified by:
        `addHostgroup` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Hostgroup` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getHostgroupList

          public java.util.List getHostgroupList()
                                          throws java.rmi.RemoteException

      Get all `Hostgroup` objects.
      Specified by:
        `getHostgroupList` in interface `JGDIRemote`
      Returns:
        a list of `Hostgroup` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getHostgroup

          public Hostgroup getHostgroup(java.lang.String HGRP_name)
                                 throws java.rmi.RemoteException

      Get a a `Hostgroup` object by its primary key
      Specified by:
        `getHostgroup` in interface `JGDIRemote`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
      Returns:
        the `Hostgroup` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateShareTree

          public void updateShareTree(ShareTree obj)
                               throws java.rmi.RemoteException

      Update a ShareTree object
      Specified by:
        `updateShareTree` in interface `JGDIRemote`
      Parameters:
        `obj` - the ShareTree object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getShareTree

          public ShareTree getShareTree(java.lang.String STN_name)
                                 throws java.rmi.RemoteException

      Get a a `ShareTree` object by its primary key
      Specified by:
        `getShareTree` in interface `JGDIRemote`
      Parameters:
        `STN_name` - the STN_name of the `ShareTree` object
      Returns:
        the `ShareTree` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteAdminHost

          public void deleteAdminHost(AdminHost obj)
                               throws java.rmi.RemoteException

      Add a delete `AdminHost` object.
      Specified by:
        `deleteAdminHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the `AdminHost` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteAdminHost

          public void deleteAdminHost(java.lang.String AH_name)
                               throws java.rmi.RemoteException

      Delete a a `AdminHost` object by its primary key
      Specified by:
        `deleteAdminHost` in interface `JGDIRemote`
      Parameters:
        `AH_name` - the AH_name of the `AdminHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addAdminHost

          public void addAdminHost(AdminHost obj)
                            throws java.rmi.RemoteException

      Add a new `AdminHost` object.
      Specified by:
        `addAdminHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `AdminHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getAdminHostList

          public java.util.List getAdminHostList()
                                          throws java.rmi.RemoteException

      Get all `AdminHost` objects.
      Specified by:
        `getAdminHostList` in interface `JGDIRemote`
      Returns:
        a list of `AdminHost` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getJobSchedulingInfo

          public JobSchedulingInfo getJobSchedulingInfo()
                                                 throws java.rmi.RemoteException

      Get the `JobSchedulingInfo` object.
      Specified by:
        `getJobSchedulingInfo` in interface `JGDIRemote`
      Returns:
        the `JobSchedulingInfo` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateUserSet

          public void updateUserSet(UserSet obj)
                             throws java.rmi.RemoteException

      Update a UserSet object
      Specified by:
        `updateUserSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the UserSet object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteUserSet

          public void deleteUserSet(UserSet obj)
                             throws java.rmi.RemoteException

      Add a delete `UserSet` object.
      Specified by:
        `deleteUserSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the `UserSet` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteUserSet

          public void deleteUserSet(java.lang.String US_name)
                             throws java.rmi.RemoteException

      Delete a a `UserSet` object by its primary key
      Specified by:
        `deleteUserSet` in interface `JGDIRemote`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addUserSet

          public void addUserSet(UserSet obj)
                          throws java.rmi.RemoteException

      Add a new `UserSet` object.
      Specified by:
        `addUserSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `UserSet` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getUserSetList

          public java.util.List getUserSetList()
                                        throws java.rmi.RemoteException

      Get all `UserSet` objects.
      Specified by:
        `getUserSetList` in interface `JGDIRemote`
      Returns:
        a list of `UserSet` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getUserSet

          public UserSet getUserSet(java.lang.String US_name)
                             throws java.rmi.RemoteException

      Get a a `UserSet` object by its primary key
      Specified by:
        `getUserSet` in interface `JGDIRemote`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
      Returns:
        the `UserSet` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteAdvanceReservation

          public void deleteAdvanceReservation(AdvanceReservation obj)
                                        throws java.rmi.RemoteException

      Add a delete `AdvanceReservation` object.
      Specified by:
        `deleteAdvanceReservation` in interface `JGDIRemote`
      Parameters:
        `obj` - the `AdvanceReservation` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteAdvanceReservation

          public void deleteAdvanceReservation(int AR_id)
                                        throws java.rmi.RemoteException

      Delete a a `AdvanceReservation` object by its primary key
      Specified by:
        `deleteAdvanceReservation` in interface `JGDIRemote`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addAdvanceReservation

          public void addAdvanceReservation(AdvanceReservation obj)
                                     throws java.rmi.RemoteException

      Add a new `AdvanceReservation` object.
      Specified by:
        `addAdvanceReservation` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `AdvanceReservation` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getAdvanceReservationList

          public java.util.List getAdvanceReservationList()
                                                   throws java.rmi.RemoteException

      Get all `AdvanceReservation` objects.
      Specified by:
        `getAdvanceReservationList` in interface `JGDIRemote`
      Returns:
        a list of `AdvanceReservation` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getAdvanceReservation

          public AdvanceReservation getAdvanceReservation(int AR_id)
                                                   throws java.rmi.RemoteException

      Get a a `AdvanceReservation` object by its primary key
      Specified by:
        `getAdvanceReservation` in interface `JGDIRemote`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
      Returns:
        the `AdvanceReservation` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateCheckpoint

          public void updateCheckpoint(Checkpoint obj)
                                throws java.rmi.RemoteException

      Update a Checkpoint object
      Specified by:
        `updateCheckpoint` in interface `JGDIRemote`
      Parameters:
        `obj` - the Checkpoint object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteCheckpoint

          public void deleteCheckpoint(Checkpoint obj)
                                throws java.rmi.RemoteException

      Add a delete `Checkpoint` object.
      Specified by:
        `deleteCheckpoint` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Checkpoint` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteCheckpoint

          public void deleteCheckpoint(java.lang.String CK_name)
                                throws java.rmi.RemoteException

      Delete a a `Checkpoint` object by its primary key
      Specified by:
        `deleteCheckpoint` in interface `JGDIRemote`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addCheckpoint

          public void addCheckpoint(Checkpoint obj)
                             throws java.rmi.RemoteException

      Add a new `Checkpoint` object.
      Specified by:
        `addCheckpoint` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Checkpoint` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getCheckpointList

          public java.util.List getCheckpointList()
                                           throws java.rmi.RemoteException

      Get all `Checkpoint` objects.
      Specified by:
        `getCheckpointList` in interface `JGDIRemote`
      Returns:
        a list of `Checkpoint` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getCheckpoint

          public Checkpoint getCheckpoint(java.lang.String CK_name)
                                   throws java.rmi.RemoteException

      Get a a `Checkpoint` object by its primary key
      Specified by:
        `getCheckpoint` in interface `JGDIRemote`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
      Returns:
        the `Checkpoint` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateJob

          public void updateJob(Job obj)
                         throws java.rmi.RemoteException

      Update a Job object
      Specified by:
        `updateJob` in interface `JGDIRemote`
      Parameters:
        `obj` - the Job object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteJob

          public void deleteJob(Job obj)
                         throws java.rmi.RemoteException

      Add a delete `Job` object.
      Specified by:
        `deleteJob` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Job` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteJob

          public void deleteJob(int JB_job_number)
                         throws java.rmi.RemoteException

      Delete a a `Job` object by its primary key
      Specified by:
        `deleteJob` in interface `JGDIRemote`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addJob

          public void addJob(Job obj)
                      throws java.rmi.RemoteException

      Add a new `Job` object.
      Specified by:
        `addJob` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Job` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getJobList

          public java.util.List getJobList()
                                    throws java.rmi.RemoteException

      Get all `Job` objects.
      Specified by:
        `getJobList` in interface `JGDIRemote`
      Returns:
        a list of `Job` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getJob

          public Job getJob(int JB_job_number)
                     throws java.rmi.RemoteException

      Get a a `Job` object by its primary key
      Specified by:
        `getJob` in interface `JGDIRemote`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
      Returns:
        the `Job` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateConfiguration

          public void updateConfiguration(Configuration obj)
                                   throws java.rmi.RemoteException

      Update a Configuration object
      Specified by:
        `updateConfiguration` in interface `JGDIRemote`
      Parameters:
        `obj` - the Configuration object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteConfiguration

          public void deleteConfiguration(Configuration obj)
                                   throws java.rmi.RemoteException

      Add a delete `Configuration` object.
      Specified by:
        `deleteConfiguration` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Configuration` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteConfiguration

          public void deleteConfiguration(java.lang.String CONF_name)
                                   throws java.rmi.RemoteException

      Delete a a `Configuration` object by its primary key
      Specified by:
        `deleteConfiguration` in interface `JGDIRemote`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addConfiguration

          public void addConfiguration(Configuration obj)
                                throws java.rmi.RemoteException

      Add a new `Configuration` object.
      Specified by:
        `addConfiguration` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Configuration` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getConfigurationList

          public java.util.List getConfigurationList()
                                              throws java.rmi.RemoteException

      Get all `Configuration` objects.
      Specified by:
        `getConfigurationList` in interface `JGDIRemote`
      Returns:
        a list of `Configuration` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getConfiguration

          public Configuration getConfiguration(java.lang.String CONF_name)
                                         throws java.rmi.RemoteException

      Get a a `Configuration` object by its primary key
      Specified by:
        `getConfiguration` in interface `JGDIRemote`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
      Returns:
        the `Configuration` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateProject

          public void updateProject(Project obj)
                             throws java.rmi.RemoteException

      Update a Project object
      Specified by:
        `updateProject` in interface `JGDIRemote`
      Parameters:
        `obj` - the Project object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteProject

          public void deleteProject(Project obj)
                             throws java.rmi.RemoteException

      Add a delete `Project` object.
      Specified by:
        `deleteProject` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Project` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteProject

          public void deleteProject(java.lang.String PR_name)
                             throws java.rmi.RemoteException

      Delete a a `Project` object by its primary key
      Specified by:
        `deleteProject` in interface `JGDIRemote`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addProject

          public void addProject(Project obj)
                          throws java.rmi.RemoteException

      Add a new `Project` object.
      Specified by:
        `addProject` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Project` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getProjectList

          public java.util.List getProjectList()
                                        throws java.rmi.RemoteException

      Get all `Project` objects.
      Specified by:
        `getProjectList` in interface `JGDIRemote`
      Returns:
        a list of `Project` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getProject

          public Project getProject(java.lang.String PR_name)
                             throws java.rmi.RemoteException

      Get a a `Project` object by its primary key
      Specified by:
        `getProject` in interface `JGDIRemote`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
      Returns:
        the `Project` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateComplexEntry

          public void updateComplexEntry(ComplexEntry obj)
                                  throws java.rmi.RemoteException

      Update a ComplexEntry object
      Specified by:
        `updateComplexEntry` in interface `JGDIRemote`
      Parameters:
        `obj` - the ComplexEntry object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteComplexEntry

          public void deleteComplexEntry(ComplexEntry obj)
                                  throws java.rmi.RemoteException

      Add a delete `ComplexEntry` object.
      Specified by:
        `deleteComplexEntry` in interface `JGDIRemote`
      Parameters:
        `obj` - the `ComplexEntry` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteComplexEntry

          public void deleteComplexEntry(java.lang.String CE_name)
                                  throws java.rmi.RemoteException

      Delete a a `ComplexEntry` object by its primary key
      Specified by:
        `deleteComplexEntry` in interface `JGDIRemote`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addComplexEntry

          public void addComplexEntry(ComplexEntry obj)
                               throws java.rmi.RemoteException

      Add a new `ComplexEntry` object.
      Specified by:
        `addComplexEntry` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `ComplexEntry` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getComplexEntryList

          public java.util.List getComplexEntryList()
                                             throws java.rmi.RemoteException

      Get all `ComplexEntry` objects.
      Specified by:
        `getComplexEntryList` in interface `JGDIRemote`
      Returns:
        a list of `ComplexEntry` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getComplexEntry

          public ComplexEntry getComplexEntry(java.lang.String CE_name)
                                       throws java.rmi.RemoteException

      Get a a `ComplexEntry` object by its primary key
      Specified by:
        `getComplexEntry` in interface `JGDIRemote`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
      Returns:
        the `ComplexEntry` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateSchedConf

          public void updateSchedConf(SchedConf obj)
                               throws java.rmi.RemoteException

      Update the SchedConf object
      Specified by:
        `updateSchedConf` in interface `JGDIRemote`
      Parameters:
        `obj` - the SchedConf object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getSchedConf

          public SchedConf getSchedConf()
                                 throws java.rmi.RemoteException

      Get the `SchedConf` object.
      Specified by:
        `getSchedConf` in interface `JGDIRemote`
      Returns:
        the `SchedConf` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateClusterQueue

          public void updateClusterQueue(ClusterQueue obj)
                                  throws java.rmi.RemoteException

      Update a ClusterQueue object
      Specified by:
        `updateClusterQueue` in interface `JGDIRemote`
      Parameters:
        `obj` - the ClusterQueue object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteClusterQueue

          public void deleteClusterQueue(ClusterQueue obj)
                                  throws java.rmi.RemoteException

      Add a delete `ClusterQueue` object.
      Specified by:
        `deleteClusterQueue` in interface `JGDIRemote`
      Parameters:
        `obj` - the `ClusterQueue` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteClusterQueue

          public void deleteClusterQueue(java.lang.String CQ_name)
                                  throws java.rmi.RemoteException

      Delete a a `ClusterQueue` object by its primary key
      Specified by:
        `deleteClusterQueue` in interface `JGDIRemote`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addClusterQueue

          public void addClusterQueue(ClusterQueue obj)
                               throws java.rmi.RemoteException

      Add a new `ClusterQueue` object.
      Specified by:
        `addClusterQueue` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `ClusterQueue` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getClusterQueueList

          public java.util.List getClusterQueueList()
                                             throws java.rmi.RemoteException

      Get all `ClusterQueue` objects.
      Specified by:
        `getClusterQueueList` in interface `JGDIRemote`
      Returns:
        a list of `ClusterQueue` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getClusterQueue

          public ClusterQueue getClusterQueue(java.lang.String CQ_name)
                                       throws java.rmi.RemoteException

      Get a a `ClusterQueue` object by its primary key
      Specified by:
        `getClusterQueue` in interface `JGDIRemote`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
      Returns:
        the `ClusterQueue` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateParallelEnvironment

          public void updateParallelEnvironment(ParallelEnvironment obj)
                                         throws java.rmi.RemoteException

      Update a ParallelEnvironment object
      Specified by:
        `updateParallelEnvironment` in interface `JGDIRemote`
      Parameters:
        `obj` - the ParallelEnvironment object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteParallelEnvironment

          public void deleteParallelEnvironment(ParallelEnvironment obj)
                                         throws java.rmi.RemoteException

      Add a delete `ParallelEnvironment` object.
      Specified by:
        `deleteParallelEnvironment` in interface `JGDIRemote`
      Parameters:
        `obj` - the `ParallelEnvironment` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteParallelEnvironment

          public void deleteParallelEnvironment(java.lang.String PE_name)
                                         throws java.rmi.RemoteException

      Delete a a `ParallelEnvironment` object by its primary key
      Specified by:
        `deleteParallelEnvironment` in interface `JGDIRemote`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addParallelEnvironment

          public void addParallelEnvironment(ParallelEnvironment obj)
                                      throws java.rmi.RemoteException

      Add a new `ParallelEnvironment` object.
      Specified by:
        `addParallelEnvironment` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `ParallelEnvironment` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getParallelEnvironmentList

          public java.util.List getParallelEnvironmentList()
                                                    throws java.rmi.RemoteException

      Get all `ParallelEnvironment` objects.
      Specified by:
        `getParallelEnvironmentList` in interface `JGDIRemote`
      Returns:
        a list of `ParallelEnvironment` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getParallelEnvironment

          public ParallelEnvironment getParallelEnvironment(java.lang.String PE_name)
                                                     throws java.rmi.RemoteException

      Get a a `ParallelEnvironment` object by its primary key
      Specified by:
        `getParallelEnvironment` in interface `JGDIRemote`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
      Returns:
        the `ParallelEnvironment` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteManager

          public void deleteManager(Manager obj)
                             throws java.rmi.RemoteException

      Add a delete `Manager` object.
      Specified by:
        `deleteManager` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Manager` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteManager

          public void deleteManager(java.lang.String UM_name)
                             throws java.rmi.RemoteException

      Delete a a `Manager` object by its primary key
      Specified by:
        `deleteManager` in interface `JGDIRemote`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addManager

          public void addManager(Manager obj)
                          throws java.rmi.RemoteException

      Add a new `Manager` object.
      Specified by:
        `addManager` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Manager` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getManagerList

          public java.util.List getManagerList()
                                        throws java.rmi.RemoteException

      Get all `Manager` objects.
      Specified by:
        `getManagerList` in interface `JGDIRemote`
      Returns:
        a list of `Manager` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getManager

          public Manager getManager(java.lang.String UM_name)
                             throws java.rmi.RemoteException

      Get a a `Manager` object by its primary key
      Specified by:
        `getManager` in interface `JGDIRemote`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
      Returns:
        the `Manager` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getEventClientList

          public java.util.List getEventClientList()
                                            throws java.rmi.RemoteException

      Get all `EventClient` objects.
      Specified by:
        `getEventClientList` in interface `JGDIRemote`
      Returns:
        a list of `EventClient` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateUser

          public void updateUser(User obj)
                          throws java.rmi.RemoteException

      Update a User object
      Specified by:
        `updateUser` in interface `JGDIRemote`
      Parameters:
        `obj` - the User object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteUser

          public void deleteUser(User obj)
                          throws java.rmi.RemoteException

      Add a delete `User` object.
      Specified by:
        `deleteUser` in interface `JGDIRemote`
      Parameters:
        `obj` - the `User` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteUser

          public void deleteUser(java.lang.String UU_name)
                          throws java.rmi.RemoteException

      Delete a a `User` object by its primary key
      Specified by:
        `deleteUser` in interface `JGDIRemote`
      Parameters:
        `UU_name` - the UU_name of the `User` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addUser

          public void addUser(User obj)
                       throws java.rmi.RemoteException

      Add a new `User` object.
      Specified by:
        `addUser` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `User` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getUserList

          public java.util.List getUserList()
                                     throws java.rmi.RemoteException

      Get all `User` objects.
      Specified by:
        `getUserList` in interface `JGDIRemote`
      Returns:
        a list of `User` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getUser

          public User getUser(java.lang.String UU_name)
                       throws java.rmi.RemoteException

      Get a a `User` object by its primary key
      Specified by:
        `getUser` in interface `JGDIRemote`
      Parameters:
        `UU_name` - the UU_name of the `User` object
      Returns:
        the `User` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateExecHost

          public void updateExecHost(ExecHost obj)
                              throws java.rmi.RemoteException

      Update a ExecHost object
      Specified by:
        `updateExecHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the ExecHost object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteExecHost

          public void deleteExecHost(ExecHost obj)
                              throws java.rmi.RemoteException

      Add a delete `ExecHost` object.
      Specified by:
        `deleteExecHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the `ExecHost` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteExecHost

          public void deleteExecHost(java.lang.String EH_name)
                              throws java.rmi.RemoteException

      Delete a a `ExecHost` object by its primary key
      Specified by:
        `deleteExecHost` in interface `JGDIRemote`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addExecHost

          public void addExecHost(ExecHost obj)
                           throws java.rmi.RemoteException

      Add a new `ExecHost` object.
      Specified by:
        `addExecHost` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `ExecHost` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getExecHostList

          public java.util.List getExecHostList()
                                         throws java.rmi.RemoteException

      Get all `ExecHost` objects.
      Specified by:
        `getExecHostList` in interface `JGDIRemote`
      Returns:
        a list of `ExecHost` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getExecHost

          public ExecHost getExecHost(java.lang.String EH_name)
                               throws java.rmi.RemoteException

      Get a a `ExecHost` object by its primary key
      Specified by:
        `getExecHost` in interface `JGDIRemote`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
      Returns:
        the `ExecHost` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateResourceQuotaSet

          public void updateResourceQuotaSet(ResourceQuotaSet obj)
                                      throws java.rmi.RemoteException

      Update a ResourceQuotaSet object
      Specified by:
        `updateResourceQuotaSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the ResourceQuotaSet object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteResourceQuotaSet

          public void deleteResourceQuotaSet(ResourceQuotaSet obj)
                                      throws java.rmi.RemoteException

      Add a delete `ResourceQuotaSet` object.
      Specified by:
        `deleteResourceQuotaSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the `ResourceQuotaSet` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteResourceQuotaSet

          public void deleteResourceQuotaSet(java.lang.String RQS_name)
                                      throws java.rmi.RemoteException

      Delete a a `ResourceQuotaSet` object by its primary key
      Specified by:
        `deleteResourceQuotaSet` in interface `JGDIRemote`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addResourceQuotaSet

          public void addResourceQuotaSet(ResourceQuotaSet obj)
                                   throws java.rmi.RemoteException

      Add a new `ResourceQuotaSet` object.
      Specified by:
        `addResourceQuotaSet` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `ResourceQuotaSet` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getResourceQuotaSetList

          public java.util.List getResourceQuotaSetList()
                                                 throws java.rmi.RemoteException

      Get all `ResourceQuotaSet` objects.
      Specified by:
        `getResourceQuotaSetList` in interface `JGDIRemote`
      Returns:
        a list of `ResourceQuotaSet` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getResourceQuotaSet

          public ResourceQuotaSet getResourceQuotaSet(java.lang.String RQS_name)
                                               throws java.rmi.RemoteException

      Get a a `ResourceQuotaSet` object by its primary key
      Specified by:
        `getResourceQuotaSet` in interface `JGDIRemote`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
      Returns:
        the `ResourceQuotaSet` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteOperator

          public void deleteOperator(Operator obj)
                              throws java.rmi.RemoteException

      Add a delete `Operator` object.
      Specified by:
        `deleteOperator` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Operator` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteOperator

          public void deleteOperator(java.lang.String UO_name)
                              throws java.rmi.RemoteException

      Delete a a `Operator` object by its primary key
      Specified by:
        `deleteOperator` in interface `JGDIRemote`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addOperator

          public void addOperator(Operator obj)
                           throws java.rmi.RemoteException

      Add a new `Operator` object.
      Specified by:
        `addOperator` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Operator` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getOperatorList

          public java.util.List getOperatorList()
                                         throws java.rmi.RemoteException

      Get all `Operator` objects.
      Specified by:
        `getOperatorList` in interface `JGDIRemote`
      Returns:
        a list of `Operator` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getOperator

          public Operator getOperator(java.lang.String UO_name)
                               throws java.rmi.RemoteException

      Get a a `Operator` object by its primary key
      Specified by:
        `getOperator` in interface `JGDIRemote`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
      Returns:
        the `Operator` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### updateCalendar

          public void updateCalendar(Calendar obj)
                              throws java.rmi.RemoteException

      Update a Calendar object
      Specified by:
        `updateCalendar` in interface `JGDIRemote`
      Parameters:
        `obj` - the Calendar object with the new values
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteCalendar

          public void deleteCalendar(Calendar obj)
                              throws java.rmi.RemoteException

      Add a delete `Calendar` object.
      Specified by:
        `deleteCalendar` in interface `JGDIRemote`
      Parameters:
        `obj` - the `Calendar` object with the primary key information
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### deleteCalendar

          public void deleteCalendar(java.lang.String CAL_name)
                              throws java.rmi.RemoteException

      Delete a a `Calendar` object by its primary key
      Specified by:
        `deleteCalendar` in interface `JGDIRemote`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### addCalendar

          public void addCalendar(Calendar obj)
                           throws java.rmi.RemoteException

      Add a new `Calendar` object.
      Specified by:
        `addCalendar` in interface `JGDIRemote`
      Parameters:
        `obj` - the new `Calendar` object
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getCalendarList

          public java.util.List getCalendarList()
                                         throws java.rmi.RemoteException

      Get all `Calendar` objects.
      Specified by:
        `getCalendarList` in interface `JGDIRemote`
      Returns:
        a list of `Calendar` objects
      Throws:
        `java.rmi.RemoteException` - on any error

    - #### getCalendar

          public Calendar getCalendar(java.lang.String CAL_name)
                               throws java.rmi.RemoteException

      Get a a `Calendar` object by its primary key
      Specified by:
        `getCalendar` in interface `JGDIRemote`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
      Returns:
        the `Calendar` object or `null`
      Throws:
        `java.rmi.RemoteException` - on any error

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.